#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;


uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;
uniform mat4 mvpMatrix;
uniform vec3 eyePos;
uniform float time;

uniform vec3 pointLightPosition;
uniform vec3 pointLightColor;

out vec3 fsNormal;
out vec3 fsFragPos;

void main()
{
    vec4 pos = mvpMatrix * vec4(position.xyz, 1);
    fsNormal = vec3(modelMatrix * vec4(normal, 0)).xyz;
    fsFragPos = vec3(modelMatrix * vec4(position.xyz, 0)).xyz;

    gl_Position = pos;
}