#ifndef __CGAME__
#define __CGAME__

#include <glad/glad.h>
#include "shader_s.h"

class Model;
class Mesh;

class CGame
{
public:
    CGame() {};

    void Initialize(unsigned int screenWidth, unsigned int screenHeight);
    void Shutdown();
    void Render();

    void OnResize(int screenWidth, int screenHeight);

    void ReloadShaders();

private:
    void SetupGPUProgram();
    void SetupModel();

    Shader* m_pShaderPass0;
    Shader* m_pShaderPass1;

    Model* m_pManModel;
    Model* m_pQuad;
    GLuint m_ColorTextureId;
    GLuint m_DepthStencilTextureId;
    GLuint m_IntermediateFBOId;

    unsigned int m_Width;
    unsigned int m_Height;
};

#endif